package com.jasamedika.medifirst2000.entities;

import java.io.Serializable;
import org.hibernate.envers.Audited;
import javax.persistence.*;

import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.BaseMaster;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.BaseMaster;
import com.jasamedika.medifirst2000.helper.Caption;
import org.hibernate.envers.Audited;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;

/**
 * class JenisDiagnosa
 * 
 * @author Generator
 */
@Entity // @Audited
@Table(name = "JenisDiagnosa_M")
public class JenisDiagnosa extends BaseMaster {
	@NotNull(message = "Jenis Diagnosa tidak boleh kosong")
	@Column(name = "JenisDiagnosa", nullable = false, length = 20)
	@Caption(value = "Jenis Diagnosa")
	private String jenisDiagnosa;

	public void setJenisDiagnosa(String jenisDiagnosa) {
		this.jenisDiagnosa = jenisDiagnosa;
	}

	public String getJenisDiagnosa() {
		return this.jenisDiagnosa;
	}

	@NotNull(message = "Kd Jenis Diagnosa tidak boleh kosong")
	@Column(name = "KdJenisDiagnosa", nullable = false)
	@Caption(value = "Kode Jenis Diagnosa")
	private Byte kdJenisDiagnosa;

	public void setKdJenisDiagnosa(Byte kdJenisDiagnosa) {
		this.kdJenisDiagnosa = kdJenisDiagnosa;
	}

	public Byte getKdJenisDiagnosa() {
		return this.kdJenisDiagnosa;
	}

	@NotNull(message = "QJenis Diagnosa tidak boleh kosong")
	@Column(name = "QJenisDiagnosa", nullable = false)
	@Caption(value = "QJenis Diagnosa")
	private Byte qJenisDiagnosa;

	public void setqJenisDiagnosa(Byte qJenisDiagnosa) {
		this.qJenisDiagnosa = qJenisDiagnosa;
	}

	public Byte getqJenisDiagnosa() {
		return this.qJenisDiagnosa;
	}

	@Id
	@GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "public.jenisdiagnosa_m_id_seq")
	@javax.persistence.SequenceGenerator(name = "public.jenisdiagnosa_m_id_seq", sequenceName = "public.jenisdiagnosa_m_id_seq", allocationSize = 1)
	@Column(name = "id")
	protected Integer id;

	public Integer getId() {

		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}
}